import { Result } from "@shared/utils/result.ts";

class Api<Req extends object, Res extends object> {
    client = {
        validate(res: Response): Result<Req, any>,
    };
    server = {
        validate(req: Request): Result<Res, any>,
    };
}
